const fs = require('../util/fs');
const logger = require('../util/logger')('clean');
const { shouldRunDocker, runDocker } = require('../util/runDocker');

module.exports = {
  execute: async function (config) {
    if (shouldRunDocker(config)) {
      return runDocker(config, 'clean');
    } else {
      await fs.remove(config.bitmaps_reference);
      logger.success(config.bitmaps_reference + ' was cleaned.');
      await fs.remove(config.bitmaps_test);
      logger.success(config.bitmaps_test + ' was cleaned.');
      await fs.remove(config.html_report);
      logger.success(config.html_report + ' was cleaned.');
      await fs.remove(config.ci_report);
      logger.success(config.ci_report + ' was cleaned.');
      await fs.remove(config.json_report);
      logger.success(config.json_report + ' was cleaned.');
    }
  }
};
